# Class CIM_ConditioningServiceOnEndpoint
extends CIM_Dependency

The QoS Model describes the traffic conditioning functions in place for a network device. In order to 'be conditioned', a packet is received at a ProtocolEndpoint. After 'conditioning', a packet is dropped or leaves the device via a ProtocolEndpoint. This dependency on ProtocolEndpoints is defined by the ConditioningServiceOn Endpoint association. A property of the association, ServiceType, indicates whether the ConditioningService handles incoming ("Ingress") or out-going ("Egress") packets. This association is deprecated since different cardinalities are needed on the ingress and egress classes. This cannot be done using a single association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ConditioningServiceOnEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_IngressConditioningServiceOnEndpoint, CIM_EgressConditioningServiceOnEndpoint

Description

string

The QoS Model describes the traffic conditioning functions in place for a network device. In order to 'be conditioned', a packet is received at a ProtocolEndpoint. After 'conditioning', a packet is dropped or leaves the device via a ProtocolEndpoint. This dependency on ProtocolEndpoints is defined by the ConditioningServiceOn Endpoint association. A property of the association, ServiceType, indicates whether the ConditioningService handles incoming ("Ingress") or out-going ("Egress") packets. This association is deprecated since different cardinalities are needed on the ingress and egress classes. This cannot be done using a single association.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ServiceType | uint16 |
Deprecated | string | CIM_IngressConditioningServiceOnEndpoint, CIM_EgressConditioningServiceOnEndpoint
Description | string | Indicates whether a packet is incoming (value = 1, "Ingress") or out-going (value = 2, "Egress") at the ProtocolEndpoint, relative to the ConditioningService.
ValueMap | string | 0, 1, 2
Values | string | Unknown, Ingress, Egress

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ConditioningServiceOnEndpoint | CIM_ProtocolEndpoint
Dependent | CIM_ConditioningServiceOnEndpoint | CIM_ConditioningService

## Class Methods